**Source URL:** https://limited.veevavault.dev/sitevault/vault-api/api-reference/24.3/documents/document-annotations/read-annotations-by-id.md

# Read Annotations by ID



Retrieve a specific annotation by the annotation ID. You must have *View Content* permission on the document version containing the specified ID.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/annotations/{annotation_id}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
| `{annotation_id}` | The annotation ID, which can be retrieved with [Read Annotations by Document Version and Type](/vault-api/api-reference/24.3/documents/document-annotations/read-annotations-by-document-version-and-type). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v24.3/objects/documents/301/versions/0/4/annotations/134

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": [
        {
            "document_version_id__sys": "301_0_4",
            "modified_by_user__sys": "133999",
            "references": [],
            "id__sys": "134",
            "external_id__sys": "12345",
            "placemark": {
                "type__sys": "sticky__sys",
                "y_coordinate__sys": 25.5,
                "x_coordinate__sys": 50.5,
                "page_number__sys": 1,
                "style__sys": "sticky_icon__sys"
            },
            "created_by_user__sys": "133999",
            "comment__sys": "Remove this.",
            "created_date_time__sys": "2024-09-13T21:57:00.000Z",
            "modified_date_time__sys": "2024-09-13T21:57:00.000Z",
            "persistent_id__sys": "119899_134",
            "title__sys": "",
            "type__sys": "note__sys",
            "state__sys": "open__sys",
            "reply_count__sys": 0,
            "color__sys": "orange_dark__sys"
        }
    ]
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes all fields and values for the specified annotation. For more details about annotation fields, see [Read Annotations by Document Version and Type](/vault-api/api-reference/24.3/documents/document-annotations/read-annotations-by-document-version-and-type).



---

**Previous:** [Read Annotations by Document Version and Type](/sitevault/vault-api/api-reference/24.3/documents/document-annotations/read-annotations-by-document-version-and-type)  
**Next:** [Read Replies of Parent Annotation](/sitevault/vault-api/api-reference/24.3/documents/document-annotations/read-replies-of-parent-annotation)